<!DOCTYPE html PUBLIC "-//W3C//Dth HTML 4.0 Transitional//EN">
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">
</head>
<body style="font-family: Calibri; background-color: white; padding: 10px 20px;">
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">From:</span>
        <span class="header-row-content">
            {{ sender_details.name }}
        </span>
        &lt;<a href="mailto:{{ sender_details.email }}"> {{ sender_details.email }} </a>&gt;
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">Sent:</span>
        <span class="header-row-content">{{ email_sent_details }}</span>
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">To:</span>
        <span class="header-row-content">{{ customer_accounting_contact_details.first_name }} {{ customer_accounting_contact_details.last_name  }}</span>
        &lt;<a href="mailto:{{ customer_accounting_contact_details.email }}">{{ customer_accounting_contact_details.email }}</a>&gt;
    </div>
    <div style="margin-bottom: 5px;">
        <span style="font-weight: bold;">Subject:</span>
        <span class="header-row-content">{{ subject }}</span>
    </div>
    <section class="email-container">
        <div style="margin: 20px 0;">
            <div class="ql-container ql-snow">
                <div class="ql-editor">
                    {{ email_body|safe }}
                </div>
            </div>
        </div>
        <div style="margin: 10px 0; display: flex; flex-direction: column;">
            {% if customer_invoice_data.invoices_past_due_date %}
                <div style="margin: 10px; font-weight: bold; font-size: 1.1rem;">
                    Past Due Invoices
                </div>
                <table style="width: 100%; border-collapse: collapse">
                    <thead>
                        <tr>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;" >Invoice</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">P.O. #</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Terms</th>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Due Date</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Aging Past Due</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Open Balance</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for invoice in customer_invoice_data.invoices_past_due_date %}
                        {% if forloop.counter0 == 0 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.days_past_due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% elif forloop.counter0|divisibleby:2 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.days_past_due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% else %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.days_past_due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
        <div style="margin: 10px 0; display: flex; flex-direction: column;">
            {% if customer_invoice_data.invoices_with_approaching_due_date %}
                <div style="margin: 10px; font-weight: bold; font-size: 1.1rem;">
                    Approaching Due Invoices
                </div>
                <table style="width: 100%; border-collapse: collapse">
                    <thead>
                        <tr>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Invoice</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;" >P.O. #</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;" >Terms</th>
                            <th style="width: 20%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Due Date</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Due In</th>
                            <th style="width: 15%; border-collapse: collapse; border: 2px solid white; padding: 10px 5px; text-align: center; word-break: break-word; background-color: #5999D2;border-bottom: 1px solid black; color: white;">Open Balance</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for invoice in customer_invoice_data.invoices_with_approaching_due_date %}
                        {% if forloop.counter0 == 0 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.approaching_due_date_in_days }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; border-top: 2px solid black; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% elif forloop.counter0|divisibleby:2 %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.approaching_due_date_in_days }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #bdd7ee; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% else %}
                            <tr>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.invoice_number }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.customer_po }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.billing_term_name }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.due_date }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.approaching_due_date_in_days }}</td>
                                <td style="border-collapse: collapse; border: 2px solid white; background-color: #DDEBF7; padding: 10px 5px; text-align: center; word-break: break-word;">{{ invoice.balance }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </section>
    <footer style="margin-top: 50px; margin-bottom: 20px;">
        <div style="width: 40%; padding-bottom: 20px; border-bottom: 5px solid #00b0f0; margin-bottom: 15px; font-size: 1rem;">Thank you,</div>
        <div class="ql-container ql-snow">
          <div class="ql-editor">
            {{ sender_details.email_signature|safe }}
          </div>
        </div>
        <!--
        <div>
            <span style="color: #1b344b; font-weight: bolder; font-size: 1rem; font-family: Calibri;">{{ sender_details.name }}</span>
            <span> | </span>
            <span style="color: #00b0f0; text-transform: capitalize;">{{ sender_details.title }}</span>
        </div>
        <div style="font-family: Calibri; margin: 10px 0; font-size: 1rem;">391 Taylor Blvd. Suite 120 Pleasant Hill, CA 94523</div>
        {% if sender_details.phone_number %}
            <div style="margin-bottom: 10px;">
                <span style="color: #1b344b; font-weight: bolder; font-size: 1rem; font-family: Calibri;">phone</span>
                <span>{{ sender_details.phone_number }}</span>
            </div>
        {% endif %}
        <div class="email">
            <span style="color: #1b344b; font-weight: bolder; font-size: 1rem; font-family: Calibri;">email</span>
            <a href="mailto:abc@example.com">{{ sender_details.email }}</a>
        </div>
        <div style="margin-top: -5px;">
            <img alt="logo" style="width: 330px; margin-left: -20px;" src="{{ logo }}">
        </div>
        -->
    </footer>
</body>
</html>